2025-08-23 00:05:46 UTC
117 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:5717b9b211c7a5f50fab81fd75773d92bfef5f755f70956a12991402cb5a4826 - 31.18% (36.4 MB)
[#001] sha256:a1ad2c65711cc2141a58e592de77daa5733633f667a7c8a4e7f80ee56b598fb5 - 0.01% (9.11 KB)
[#002] sha256:b65d1ca26a55bd25b8510c0e1d39dd3f77dae5f9fed170e6d84437276f3fb38a - 0.0% (610 Bytes)
[#003] sha256:a03df6b0bb535c31134554093fd03f5412b60bdaf6ddd28dfe44f6c61ee47b42 - 0.0% (616 Bytes)
[#004] sha256:a5781cfa97c17f5fb0d8f0bd92716f82383ee88e24cad6dd80f5975f00a0231d - 53.54% (62.4 MB)
[#005] sha256:3253bdd0f92dc5fcf6519da3ba5388e6952e64ffd40ad5afb7ee345b9b2c7b87 - 0.0% (126 Bytes)
[#006] sha256:c76c3891a7b07e8ce1aa7ba692c6947c86684430038586aec320a8098aa9d43f - 0.0% (5.47 KB)
[#007] sha256:48b258da2e9a9a7ff8be72ee1915be4ce590aa45f68f3785024536a63b107c1f - 0.19% (225 KB)
[#008] sha256:b350d23935322d3b3dd6ef0ff5b8cd985313174f566482207561f4a99af06486 - 0.0% (516 Bytes)
[#009] sha256:fe02d6722a728e28ed0785a96e15dc8bcdf2c2f3556d64a58232ac75836793ae - 0.0% (1.11 KB)
[#010] sha256:04487938dc2d995d4619937d162b76653f79b5fdbdbf84d2f36555576e057b13 - 15.07% (17.6 MB)
[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2025-08-20 13:15:02 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2025-08-20 13:15:02 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2025-08-20 13:15:02 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public"
2025-08-20 13:15:02 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2025-08-20 13:15:03 UTC/bin/sh -c #(nop) ENV container oci
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) COPY dir:f91aecd64a5df0b73e2b5740ae90f4bb03c2e87890175a65862ca830f6caced5 in /
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /usr/share/buildinfo/content-sets.json
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /root/buildinfo/content_manifests/content-sets.json
2025-08-20 13:15:04 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-08-20T13:14:46" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="f4b088292653bbf5ca8188a5e59ffd06a8671d4b" "release"="1755695350"
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2025-08-22T23:56:33Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.0.6 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=cc827afd4411dc9036c1bef0197079589796b38e io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-08-22T23:56:33Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.0.6 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2025-08-23 00:05:25 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2025-08-23 00:05:40 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2025-08-23 00:05:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2025-08-23 00:05:40 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2025-08-23 00:05:40 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2025-08-23 00:05:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2025-08-23 00:05:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)USER 1000
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2025-08-23 00:05:46 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.